Backward-compatible use of min/max aggregators between Druid 0.7.1 and 0.8.1

Hi, we’re in the process of upgrading our Druid cluster from 0.7.1 to 0.8.1 and some of our data sources ingest data using the old min/max aggregators (through Tranquility). Will the Tranquility ingestion fail if we use the old style min/max aggregators on a 0.8.1 cluster? What about queries against 0.8.1 that use old min/max? Thanks!
–T

Hey TJ,

This should work if you update your Druid servers first. The new Druid servers will translate the tranquility’s requests for the legacy min/max aggregator into doubleMin/doubleMax and will index using that. Once your Druid cluster is all updated, you can update tranquility and your tranquility schema if you want.

Actually, I don’t think they will translate, but they’ll treat it the same as they would have treated doubleMin/doubleMax. So things should still work.